import request from '@/utils/request'

export function getCourseList(query) {
  return request({
    url: '/vod/course/',
    method: 'get',
    params: query
  })
}
export function createCourse(data) {
  return request({
    url: '/vod/course/',
    method: 'post',
    data
  })
}
export function updateCourse(id, data) {
  return request({
    url: `/vod/course/${id}/`,
    method: 'put',
    data
  })
}
export function deleteCourse(id) {
  return request({
    url: `/vod/course/${id}/`,
    method: 'delete',
  })
}